﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Seeyon.Entities
{
    #region Request
    public class RequestRestToken
    {
        public string userName { get; set; }
        public string password { get; set; }
        public string loginName { get; set; }
    }
    public class RequestForm<T>
    {
        /// <summary>
        /// 默认值（OA提供）
        /// </summary>
        public string appName { get; set; }

        /// <summary>
        /// 请求参数
        /// </summary>
        public RequestData<T> data { get; set; }
    }

    public class RequestData<T>
    {
        /// <summary>
        /// /默认值，流程模版编码（OA提供）
        /// </summary>
        public string templateCode { get; set; }

        /// <summary>
        /// 0待发 1发送
        /// </summary>
        public string draft { get; set; }

        /// <summary>
        /// 发送人登录名
        /// </summary>
        public string senderLoginName { get; set; }

        /// <summary>
        /// 流程标题
        /// </summary>
        public string subject { get; set; }

        /// <summary>
        /// 具体表单内容
        /// </summary>
        public T data { get; set; }
    }

    #endregion

    #region Response

    public class ResponseForm<T>
    {
        /// <summary>
        /// 返回码
        /// </summary>
        public string code { get; set; }
        public T data { get; set; }
        public string message { get; set; }
    }

    public class ResponseData
    {
        public List<WorkItem> workitems { get; set; }
        public string app_bussiness_data { get; set; }

        /// <summary>
        /// 流程ID(ctp_affair.process_id)
        /// </summary>
        public string processId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string subject { get; set; }
        public string errorMsg { get; set; }

        public class WorkItem
        {
            public string nodeName { get; set; }
            public string userLoginName { get; set; }
            public string id { get; set; }
            public string userName { get; set; }
            public string nodeId { get; set; }
            public string userId { get; set; }

        }
    }

    public class ResponseToken
    {
        /// <summary>
        /// 
        /// </summary>
        public BindingUser bindingUser { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string userName { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string id { get; set; }

        public class BindingUser
        {
            /// <summary>
            /// 
            /// </summary>
            public string loginState { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string sessionId { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int id { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int securityKey { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string loginName { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string name { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int loginAccount { get; set; }
            /// <summary>
            /// 江苏省纺织产品质量监督检验研究院
            /// </summary>
            public string loginAccountName { get; set; }
            /// <summary>
            /// 单位
            /// </summary>
            public string loginAccountShortName { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string province { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string city { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string rectangle { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string nodeIndex { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int departmentId { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int levelId { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int postId { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int accountId { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string remoteAddr { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string userAgentFrom { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int externalType { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string locale { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int loginTimestamp { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string loginLogId { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string skin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string userSSOFrom { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string browser { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string timeZone { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string canSendSMS { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string etagRandom { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int changeRoleTimestamp { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string v5Member { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string guest { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string @internal { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string groupSystemAdmin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string unitSystemAdmin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public int loginSign { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string vjoinMember { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string admin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string v5External { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string groupAdmin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string administrator { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string visitor { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string systemAdmin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string auditAdmin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string fromM1 { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string platformAdmin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string superAdmin { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string screenGuest { get; set; }
            /// <summary>
            /// 
            /// </summary>
            public string defaultGuest { get; set; }
        }
    }
    #endregion
}
